if not async then
	dofile( "data/scripts/lib/coroutines.lua" )
end
dofile( "data/scripts/lib/utilities.lua" )

local gametime = ""
local kills = ""
local gui = GuiCreate()
local gui_frame_fn = function()
	GuiLayoutBeginVertical( gui, 50, 0 )
	GuiText(gui, -35, 0, gametime.." - "..kills.." kills")
	GuiLayoutEnd(gui)
end

async_loop(function()
	if not GameHasFlagRun("ending_game_completed") and StatsGetValue("dead") ~= "1" then
		gametime = StatsGetValue("playtime_str")
		kills = StatsGetValue("enemies_killed")
	end
	if gui ~= nil then
		GuiStartFrame(gui)
	end
	if gui_frame_fn ~= nil then
		gui_frame_fn()
	end
	wait(0)
end)
